#include <bits/stdc++.h>

using namespace std;

int main()
{
    int N;
    cin >> N;
    vector <int> X(N);
    vector <int> Y(N);
    vector <int> Z(N);

    for(int i = 0; i < N; i++){
        cin >> X[i];
    }
    for(int i = 0; i < N; i++){
        cin >> Y[i];
    }
    for(int i = 0; i < N; i++){
        int t = 0;
        cin >> t;
        Z[i] = Y[t - 1];
    }

    int br = 0;

    for(int i = 0; i < N; i++){
        int c2 = count(Z.begin(), Z.end(), X[i]);
        br += c2;
    }

    cout << br;
}